# Uses of Interface
org.eclipse.pde.core.plugin.IPluginElement

Packages that use IPluginElement
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginElement in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginElement
Modifier and Type
Method
Description
`IPluginElement`
IPluginElement.`createCopy()`
Creates an identical copy of this XML element.
`IPluginElement`
IExtensionsModelFactory.`createElement(IPluginObject parent)`
Creates a new element instance for the provided parent.
Methods in org.eclipse.pde.core.plugin with parameters of type IPluginElement
Modifier and Type
Method
Description
`IPluginAttribute`
IExtensionsModelFactory.`createAttribute(IPluginElement element)`
Creates a new attribute instance for the provided element.